OpenVZ Forum


Home » General » Support » Kernel Upgrade fails
Kernel Upgrade fails [message #30063] Wed, 07 May 2008 13:38 Go to next message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
I attempted to upgrade my kernel the other day. I don't remember the previous version because it removed the package, but the latest installed version is 2.6.18-53.1.13.el5.028stab053.10.

The machine didn't come back up, so I had to go on site and select a previous kernel to get the machine to boot. That version is 2.6.18-53.1.6.el5.028stab053.6.

What do you need to see what's going on?
Re: Kernel Upgrade fails [message #30064 is a reply to message #30063] Wed, 07 May 2008 14:07 Go to previous messageGo to next message
kir is currently offline  kir
Messages: 1645
Registered: August 2005
Location: Moscow, Russia
Senior Member

You have to set up remote console (or otherwise get an access to the console) and log boot messages -- then file a bug to http://bugzilla.openvz.org/

http://wiki.openvz.org/Remote_console_setup


Kir Kolyshkin
http://static.openvz.org/userbars/openvz-developer.png
Re: Kernel Upgrade fails [message #30649 is a reply to message #30063] Sun, 01 June 2008 04:48 Go to previous messageGo to next message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
Before I go to the remote console, I thought I would update and try again. I dunno if this happened last time, but I got some errors.

  Installing: ovzkernel                    ####                    [18/38]warning: /etc/modprobe.d/blacklist-firewire created as /etc/modp                   robe.d/blacklist-firewire.rpmnew
  Installing: ovzkernel                    ####################### [18/38]
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/acpi/acpi_memhotplug.ko needs unknown symbol strcpy
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/acpi/acpi_memhotplug.ko needs unknown symbol add_memory
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/acpi/acpi_memhotplug.ko needs unknown symbol memory_add_physaddr_to_                   nid
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/acpi/acpi_memhotplug.ko needs unknown symbol remove_memory
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/acpi/acpi_memhotplug.ko needs unknown symbol strcmp
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/acpi/acpi_memhotplug.ko needs unknown symbol acpi_get_node
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol dma_ops
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol copy_from_user
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol find_first_bit
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol strcat
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol mem_section
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol copy_to_user
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol strncpy
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol __memcpy
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/infiniband/hw/ipath/ib_ipath.ko needs unknown symbol alloc_pages_cur                   rent
WARNING: /lib/modules/2.6.18-53.1.19.el5.028stab053.14/kernel/drivers/pci/hotplug/shpchp.ko needs unknown symbol strcpy
Re: Kernel Upgrade fails [message #30650 is a reply to message #30064] Sun, 01 June 2008 04:51 Go to previous messageGo to next message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
[root@Aiur ~]# tail -f /var/log/serial.log
Memory for crash kernel (0x0 to 0x0) notwithin permissible range

..MP-BIOS bug: 8254 timer not connected to IO-APIC

PCI: BIOS Bug: MCFG area at e0000000 is not E820-reserved

PCI: Not using MMCONFIG.

ACPI: Getting cpuindex for acpiid 0x1

ACPI: Getting cpuindex for acpiid 0x2

ÿpowernow-k8: MP systems not supported by PSB BIOS structure

powernow-k8: MP systems not supported by PSB BIOS structure

request_module: runaway loop modprobe binfmt-464c

request_module: runaway loop modprobe binfmt-464c

request_module: runaway loop modprobe binfmt-464c

request_module: runaway loop modprobe binfmt-464c

request_module: runaway loop modprobe binfmt-464c
Re: Kernel Upgrade fails [message #30653 is a reply to message #30064] Sun, 01 June 2008 06:48 Go to previous messageGo to next message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
I updated this BIOS, and now I get this. I tried apic=debug, but it balked at it.

Memory for crash kernel (0x0 to 0x0) notwithin permissible range

Unknown genapic `apic=debug' specified.

..MP-BIOS bug: 8254 timer not connected to IO-APIC

Kernel panic - not syncing: IO-APIC + timer doesn't work!  Boot with apic=debug and send a report.  Then try booting with the 'noapic' option

Memory for crash kernel (0x0 to 0x0) notwithin permissible range

PCI: BIOS Bug: MCFG area at e0000000 is not E820-reserved

PCI: Not using MMCONFIG.

ÿrequest_module: runaway loop modprobe binfmt-464c

request_module: runaway loop modprobe binfmt-464c

request_module: runaway loop modprobe binfmt-464c

request_module: runaway loop modprobe binfmt-464c

request_module: runaway loop modprobe binfmt-464c


It only boots into the old kernel (Linux Char.ICS.local 2.6.18-53.1.6.el5.028stab053.6 #1 SMP Mon Feb 11 20:14:31 MSK 2008 x86_64 x86_64 x86_64 GNU/Linux) with noapic. USB devices don't work once it finishes booting.
Re: Kernel Upgrade fails [message #30656 is a reply to message #30653] Sun, 01 June 2008 17:36 Go to previous messageGo to next message
vaverin is currently offline  vaverin
Messages: 708
Registered: September 2005
Senior Member
As far as I see your old kernel is x86_64. Are you sure that new kernel is x86_64 too?
Re: Kernel Upgrade fails [message #30657 is a reply to message #30656] Sun, 01 June 2008 18:07 Go to previous messageGo to next message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
I want my kernel to be x86_64. I did a yum upgrade and this is what happened.

[root@Char ~]# rpm -qa | grep kernel
kernel-2.6.18-8.el5
ovzkernel-2.6.18-53.1.6.el5.028stab053.6
kernel-headers-2.6.18-53.1.21.el5
ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.13.el5.028stab053.10
ovzkernel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.13.el5.028stab053.10
ovzkernel-2.6.18-53.1.6.el5.028stab053.6
ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14


Should I remove the rpms for all of the duplicates, but appending .i386 to the end if I want to remove all i386 kernels, leaving only x64 ones?
Re: Kernel Upgrade fails [message #30658 is a reply to message #30657] Mon, 02 June 2008 04:28 Go to previous messageGo to next message
vaverin is currently offline  vaverin
Messages: 708
Registered: September 2005
Senior Member
i386 kernels does not work on x86_64 nodes: they cannot exec x86_64 binary to load i386 modules -- it looks like your issue.
Therefore I would advise you to remove these kernels.

thank you,
Vasily Averin
Re: Kernel Upgrade fails [message #30665 is a reply to message #30658] Mon, 02 June 2008 12:45 Go to previous messageGo to next message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
I appended .i386 to each of those duplicate packages, and rpm ended silently with the packages still there. How do I get rid of them?

[root@Char ~]# rpm -qa | grep kernel
kernel-2.6.18-8.el5
ovzkernel-2.6.18-53.1.6.el5.028stab053.6
kernel-headers-2.6.18-53.1.21.el5
ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.13.el5.028stab053.10
ovzkernel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.13.el5.028stab053.10
ovzkernel-2.6.18-53.1.6.el5.028stab053.6
ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14
[root@Char ~]# rpm -e ovzkernel-2.6.18-53.1.6.el5.028stab053.6.i386
[root@Char ~]# rpm -e ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14.i386
[root@Char ~]# rpm -e ovzkernel-2.6.18-53.1.13.el5.028stab053.10.i386
[root@Char ~]# rpm -e ovzkernel-2.6.18-53.1.19.el5.028stab053.14.i386
[root@Char ~]# rpm -qa | grep kernel
kernel-2.6.18-8.el5
ovzkernel-2.6.18-53.1.6.el5.028stab053.6
kernel-headers-2.6.18-53.1.21.el5
ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.13.el5.028stab053.10
ovzkernel-2.6.18-53.1.19.el5.028stab053.14
ovzkernel-2.6.18-53.1.13.el5.028stab053.10
ovzkernel-2.6.18-53.1.6.el5.028stab053.6
ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14
[root@Char ~]# rpm -e ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14
error: "ovzkernel-devel-2.6.18-53.1.19.el5.028stab053.14" specifies multiple packages
Re: Kernel Upgrade fails [message #30667 is a reply to message #30665] Mon, 02 June 2008 13:37 Go to previous messageGo to next message
vaverin is currently offline  vaverin
Messages: 708
Registered: September 2005
Senior Member
Could you please shouw the output of the followin command:
rpm -q ovzkernel --qf "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n"

thank you,
Vasily Averin
Re: Kernel Upgrade fails [message #30668 is a reply to message #30667] Mon, 02 June 2008 13:43 Go to previous messageGo to next message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
[root@Char ~]# rpm -q ovzkernel --qf "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n"
ovzkernel-2.6.18-53.1.6.el5.028stab053.6.i686
ovzkernel-2.6.18-53.1.6.el5.028stab053.6.x86_64
ovzkernel-2.6.18-53.1.13.el5.028stab053.10.x86_64
ovzkernel-2.6.18-53.1.13.el5.028stab053.10.i686
ovzkernel-2.6.18-53.1.19.el5.028stab053.14.x86_64
ovzkernel-2.6.18-53.1.19.el5.028stab053.14.i686


So they are .i686 instead of .i386... I'll remove those packages.
Re: Kernel Upgrade fails [message #30669 is a reply to message #30667] Mon, 02 June 2008 13:53 Go to previous messageGo to next message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
[root@Char ~]# rpm -e ovzkernel-2.6.18-53.1.6.el5.028stab053.6.i686 ovzkernel-2.6.18-53.1.13.el5.028stab053.10.i686 ovzkernel-2.6.18-53.1.19.el5.028stab053.14.i686
[root@Char ~]# rpm -q ovzkernel --qf "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n"
ovzkernel-2.6.18-53.1.6.el5.028stab053.6.x86_64
ovzkernel-2.6.18-53.1.13.el5.028stab053.10.x86_64
ovzkernel-2.6.18-53.1.19.el5.028stab053.14.x86_64
Re: Kernel Upgrade fails [message #30671 is a reply to message #30667] Mon, 02 June 2008 14:25 Go to previous message
johan_hammy is currently offline  johan_hammy
Messages: 99
Registered: December 2005
Member
Upon removing the x86_64 kernels, rpm removed everything from /etc/grub.conf. The only way I knew to get it back in was to remove the current stable x64 kernel packages and reinstall them by downloading from the web site and installing by rpm instead of yum.

[root@Char ~]# uname -a
Linux Char.ICS.local 2.6.18-53.1.19.el5.028stab053.14 #1 SMP Thu May 8 16:29:13 MSD 2008 x86_64 x86_64 x86_64 GNU/Linux



Memory for crash kernel (0x0 to 0x0) notwithin permissible range

PCI: BIOS Bug: MCFG area at e0000000 is not E820-reserved

PCI: Not using MMCONFIG.

ACPI: Getting cpuindex for acpiid 0x1

ACPI: Getting cpuindex for acpiid 0x2

ÿpowernow-k8: MP systems not supported by PSB BIOS structure

powernow-k8: MP systems not supported by PSB BIOS structure

ip_tables: (C) 2000-2006 Netfilter Core Team

Netfilter messages via NETLINK v0.30.

ip_conntrack version 2.4 (8192 buckets, 65536 max) - 312 bytes per conntrack


So the system boots into the proper kernel now. That's the output of the remote console. Is there anything there I should be concerned with? APIC is disabled in the BIOS, otherwise I had to specify noapic in the kernel options.
Previous Topic: Upgrade kernel to newest one and system hangs up
Next Topic: [solved] /proc/net/tcp is empty or unable to open
Goto Forum:
  


Current Time: Tue Feb 27 13:53:17 GMT 2024

Total time taken to generate the page: 0.02616 seconds